# geos::simplify::DouglasPeuckerLineSimplifier Class Reference

Simplifies a linestring (sequence of points) using the standard Douglas-Peucker algorithm. More...

`#include <DouglasPeuckerLineSimplifier.h>`

List of all members.

## Public Types

typedef std::vector< short int > | BoolVect
typedef std::auto_ptr< BoolVect > | BoolVectAutoPtr
typedef std::vector < geom::Coordinate > | CoordsVect
typedef std::auto_ptr< CoordsVect > | CoordsVectAutoPtr

## Public Member Functions

| DouglasPeuckerLineSimplifier (const CoordsVect &nPts)
void | setDistanceTolerance (double nDistanceTolerance)
| Sets the distance tolerance for the simplification.
CoordsVectAutoPtr | simplify ()
| Returns a newly allocated Coordinate vector, wrapped into an auto_ptr.

## Static Public Member Functions

static CoordsVectAutoPtr | simplify (const CoordsVect &nPts, double distanceTolerance)
| Returns a newly allocated Coordinate vector, wrapped into an auto_ptr.

## Detailed Description

Simplifies a linestring (sequence of points) using the standard Douglas-Peucker algorithm.

## Member Function Documentation

void geos::simplify::DouglasPeuckerLineSimplifier::setDistanceTolerance | ( | double | nDistanceTolerance | ) |

Sets the distance tolerance for the simplification.

All vertices in the simplified linestring will be within this distance of the original linestring.

Parameters:

  | nDistanceTolerance | the approximation tolerance to use

The documentation for this class was generated from the following file:

- DouglasPeuckerLineSimplifier.h